@echo off

set script_dir_backslash=%~dp0
set script_dir=%script_dir_backslash:~0,-1%
set build_dir=%script_dir%\Build
set code_dir=%script_dir%
if not exist %build_dir% mkdir %build_dir%

set compile_flags=%code_dir%\rfleury_arena.cpp /W4 /Z7 /MD /EHsc /nologo /fsanitize=address
set link_flags=/link /incremental:no

set msvc_cmd=cl %compile_flags% /Forfleury_arena  /Ferfleury_arena  %link_flags%
set clang_cmd=clang-cl %compile_flags% /Forfleury_arena /Ferfleury_arena %link_flags%

pushd %build_dir%
powershell -Command "$duration = Measure-Command {%msvc_cmd% | Out-Default}; Write-Host 'msvc:' $duration.TotalSeconds 'seconds'"
powershell -Command "$duration = Measure-Command {%clang_cmd% | Out-Default}; Write-Host 'clang:' $duration.TotalSeconds 'seconds'"
popd
exit /B 1
